Loading...
Searching...
No Matches
caf::scoped_execution_unit Class Reference

Identifies an execution unit, e.g., a worker thread of the scheduler. More...

`#include <scoped_execution_unit.hpp>`

Inheritance diagram for caf::scoped_execution_unit:

## Public Types

using | super = execution_unit

## Public Member Functions

void | exec_later (resumable *ptr) override
| Delegates the resumable to the scheduler of system().
void | system_ptr (actor_system *ptr) noexcept
Public Member Functions inherited from caf::execution_unit
| execution_unit (actor_system *sys)
| execution_unit (execution_unit &&)=default
execution_unit & | operator= (execution_unit &&)=default
| execution_unit (const execution_unit &)=default
execution_unit & | operator= (const execution_unit &)=default
actor_system & | system () const
| Returns the enclosing actor system.
proxy_registry * | proxy_registry_ptr ()
| Returns a pointer to the proxy factory currently associated to this unit.
void | proxy_registry_ptr (proxy_registry *ptr)
| Associated a new proxy factory to this unit.

## Additional Inherited Members

Protected Attributes inherited from caf::execution_unit
actor_system * | system_ = nullptr
proxy_registry * | proxies_ = nullptr

## Detailed Description

Identifies an execution unit, e.g., a worker thread of the scheduler.

By querying its execution unit, an actor can access other context information.

## Member Function Documentation

## exec_later()

void caf::scoped_execution_unit::exec_later | ( | resumable * | ptr | ) |

override virtual

Delegates the resumable to the scheduler of system().

Implements caf::execution_unit.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/scoped_execution_unit.hpp